List Permissions
List Permissions
GET
https://api.ocamba.com/v2/adex/permissions
Returns a list of Permissions available in the application.
Tip
Searchable fields are name, permission, and description. Default search field is name.
Sortable fields are: permission, scope, name, description, create_time and update_time. Default sort is scope.
Note
Empty catalog returns 200 with total 0 and items [].
Rate limits:
- Burst: 10/s
- Steady: 150/m
Query parameters
parametersResponse schemas
›
200
application/json
›
400
application/json
›
500
application/json
curl -X GET \
"https://api.ocamba.com/v2/adex/permissions" \
-H "Authorization: Bearer {TOKEN}"const url = 'https://api.ocamba.com/v2/adex/permissions';
const options = {
method: 'GET',
headers: {
Authorization: `Bearer {TOKEN}`
}
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}$ch = curl_init("https://api.ocamba.com/v2/adex/permissions");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);Responses
200 OK
{
"total": 2,
"items": [
{
"id": "100",
"permission": "campaigns.get",
"scope": "campaigns",
"name": "Read campaigns",
"description": "List and get campaigns",
"deprecated": 0,
"create_time": "2026-03-01 10:15:00",
"update_time": "2026-03-01 10:15:00"
},
{
"id": "101",
"permission": "campaigns.post",
"scope": "campaigns",
"name": "Create campaigns",
"description": null,
"deprecated": 0,
"create_time": "2026-03-01 10:15:00",
"update_time": "2026-03-01 10:15:00"
}
]
}
400 Bad Request
{
"code": 400,
"title": "Bad request.",
"message": "The request is not valid.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
500 Internal Server Error
{
"code": 500,
"title": "Internal server error.",
"trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses